Planification de tâches périodiques

Le Planificateur de tâches est un outil qui vous permet de planifier des programmes (notamment le Défragmenteur de disque) et d'autres utilitaires pour qu'ils s'exécutent régulièrement au moment qui vous convient le mieux. Il démarre en même temps que Windows et s'exécute en arrière-plan.

Vous pouvez ouvrir le Planificateur de tâches en cliquant sur Démarrer, en pointant sur Programmes, Accessoires, Outils système, puis en cliquant sur Tâches planifiées.

Après avoir ouvert le Planificateur de tâches, vous pouvez :

  • Planifier l'exécution d'une tâche quotidienne, hebdomadaire, mensuelle ou à des heures déterminées, notamment lorsque l'ordinateur démarre ou est inactif.
  • Modifier la planification d'une tâche existante ou la désactiver.
  • Personnaliser l'exécution d'une tâche à l'heure planifiée.


Pour planifier une nouvelle tâche

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Double-cliquez sur Création d'une tâche planifiée.
  3. Suivez les instructions de l'Assistant Planificateur de tâches.

    4. Si vous souhaitez spécifier des paramètres avancés pour la tâche (notamment planifier plusieurs exécutions), activez la case à cocher Ouvrir les propriétés avancées de cette tâche dans le dernier écran de l'Assistant.

Remarques

  • Si le programme de la tâche nécessite des paramètres, activez la case à cocher Ouvrir les propriétés avancées dans le dernier écran de l'Assistant, cliquez sur Terminer, cliquez sur l'onglet Tâche, puis tapez ces paramètres dans la zone Exécuter, à la suite du chemin d'accès de la tâche.
  • Pour qu'une tâche planifiée s'exécute, il n'est pas nécessaire qu'une session Windows soit ouverte ; il suffit que l'ordinateur soit sous tension. Si vous ne voulez pas que les tâches planifiées s'exécutent lorsque personne n'est connecté à Windows; ouvrez le dossier Tâches planifiées avant de fermer votre session Windows, puis cliquez dans le menu Avancé sur Cesser d'utiliser le Planificateur de tâches. Pour réactiver le Planificateur de tâches après avoir ouvert une session, ouvrez le dossier Tâches planifiées, puis cliquez dans le menu Avancé sur Démarrer le Planificateur de tâches.
  • Vérifiez si l'heure et la date système de votre ordinateur sont exactes. Le Planificateur de tâches exécute les tâches planifiées en fonction de ces informations. Pour modifier la date et l'heure, double-cliquez sur l'heure dans la barre des tâches.

Voir aussi


Pour modifier une tâche planifiée

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Cliquez avec le bouton droit sur la tâche que vous voulez modifier, puis cliquez sur Propriétés.
  3. Effectuez l'une ou plusieurs des opérations suivantes :
    • Pour changer le programme à exécuter, dans la zone Exécuter, tapez le chemin d'accès de la tâche ou cliquez sur Parcourir.
    • Pour modifier la planification de la tâche, cliquez sur l'onglet Planification.
    • Pour personnaliser les paramètres de la tâche, cliquez sur l'onglet Paramètres.

Remarques

  • Si le programme de la tâche nécessite des paramètres, tapez-les dans la zone Exécuter, après le chemin d'accès de la tâche.
  • Si le chemin d'accès du programme de la tâche comprend des espaces, placez-le entre guillemets("").


Pour supprimer une tâche planifiée

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Cliquez avec le bouton droit sur la tâche à supprimer, puis cliquez sur Supprimer.

Remarque

  • La tâche n'est supprimée que dans le dossier Tâches planifiées. Le programme associé à la tâche supprimée n'est pas supprimé de l'ordinateur.


Pour arrêter l'exécution en cours d'une tâche planifiée

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Cliquez avec le bouton droit sur la tâche à arrêter, puis cliquez sur Fin de tâche.

Remarques

  • Si une tâche planifiée démarre un autre programme, cette commande n'arrête que la tâche d'origine et non la deuxième.
  • Pour redémarrer une tâche, cliquez avec le bouton droit dessus, puis cliquez sur Exécuter.
  • Pour qu'une tâche planifiée s'exécute, il n'est pas nécessaire qu'une session Windows soit ouverte ; il suffit que l'ordinateur soit sous tension. Si vous ne voulez pas que les tâches planifiées s'exécutent lorsque personne n'est connecté à Windows, ouvrez le dossier Tâches planifiées avant de fermer votre session Windows, puis cliquez dans le menu Avancé sur Cesser d'utiliser le Planificateur de tâches. Pour réactiver le Planificateur de tâches après avoir ouvert une session, ouvrez le dossier Tâches planifiées, puis cliquez dans le menu Avancé sur Démarrer le Planificateur de tâches.


Pour exécuter une tâche immédiatement

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Cliquez avec le bouton droit sur la tâche que vous souhaitez démarrer, puis cliquez sur Exécuter.

Remarques

  • Vous pouvez mettre fin à l'exécution de la tâche en cliquant dans le menu Fichier sur Terminer la tâche planifiée.
  • Si la tâche n'a pas été exécutée au moment prévu, recherchez la cause dans le journal. Dans le menu Avancé, cliquez sur Afficher le journal.


Pour afficher le journal des tâches planifiées qui ont été exécutées

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Dans le menu Avancé, cliquez sur Afficher le journal.


Pour afficher les tâches planifiées sur un ordinateur distant

  1. Double-cliquez sur l'icône Favoris réseau.
  2. Double-cliquez sur l'ordinateur dont vous voulez afficher les tâches planifiées.
  3. Double-cliquez sur le dossier Tâches planifiées.

Remarque

  • Vous ne pouvez modifier les tâches sur un ordinateur distant que si la base de Registre distante est installée sur cet ordinateur et si celui-ci partage le partage x$, où x correspond au disque dur sur lequel réside le dossier Tâches planifiées. L'ordinateur doit aussi spécifier explicitement que votre compte utilisateur dispose de droits d'accès au Registre distant. Vous pouvez spécifier les utilisateurs qui possèdent des droits d'accès au Registre distant d'un ordinateur en double-cliquant sur l'icône Mots de passe dans le Panneau de configuration.


Pour désactiver temporairement toutes les tâches planifiées

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Dans le menu Avancé, cliquez sur Suspendre le Planificateur de tâches.

    Cette procédure est utile lorsque vous ne souhaitez pas exécuter des tâches planifiées en même temps qu'un autre programme (notamment un jeu) ou pendant l'installation d'un logiciel.

Remarques

  • Les tâches qui auraient dû s'exécuter pendant la suspension du Planificateur de tâches ne seront exécutées qu'à la prochaine heure prévue.
  • Pour reprendre l'exécution de toutes les tâches, cliquez dans le menu Avancé sur Continuer le Planificateur de tâches.


Pour désactiver le Planificateur de tâches

  1. Cliquez sur Démarrer, pointez sur Programmes, Accessoires, Outils système, puis cliquez sur Tâches planifiées.
  2. Dans le menu Avancé, cliquez sur Cesser d'utiliser le Planificateur de tâches.

Remarque

  • Quand vous désactivez le Planificateur de tâches, les tâches planifiées ne sont pas exécutées et le Planificateur de tâches ne démarre pas automatiquement en même temps que Windows.


Dépannage du Planificateur de tâches

Si la tâche planifiée n'est pas exécutée au moment prévu, cliquez avec le bouton droit dans la liste des tâches, puis cliquez sur Propriétés. Sous l'onglet Tâche, vérifiez que la case à cocher Activée est activée. Sous l'onglet Planification, assurez-vous que la planification est correctement définie.

Si un programme ne s'exécute pas correctement, il se peut que vous deviez fournir des arguments de commande. Pour obtenir des informations supplémentaires sur un programme et ses arguments, essayez une des méthodes suivantes :

  • Si le programme possède une aide en ligne, consultez-la.
  • Essayez de taper à l'invite la commande suivante où programme correspond au nom du programme :
    programme /?


Pour ouvrir le dossier Tâches planifiées

  • Cliquez sur Démarrer, pointez sur Programmes, sur Accessoires, sur Outils système, puis cliquez sur Tâches planifiées.